=== debian/changelog ===
bzrtp (5.2.0-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libbctoolbox1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Apr 2024 02:09:26 +0000

bzrtp (5.2.0-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:45:05 +0000

bzrtp (5.2.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libbctoolbox1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 03:00:37 +0000

bzrtp (5.2.0-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build on ppc64el by lowering optimization level to -O2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:52:50 +0200

bzrtp (5.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Fri, 28 Jul 2023 22:46:06 +0200

bzrtp (5.2.0-1) experimental; urgency=medium

  * New upstream release 5.2.0.
  * Codebase is now partially C++11 (ABI break, thus SOVERSION bumped to 1).
  * Replace the .symbols file with a .shlibs file for simplicity.
  * Comply with Debian policy v4.6.2.

 -- Dennis Filder <d.filder@web.de>  Mon, 19 Dec 2022 18:37:02 +0100

bzrtp (5.1.64-2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build on ppc64el by lowering optimization level to -O2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Nov 2022 14:22:06 +0100

bzrtp (5.0.37-2ubuntu1) lunar; urgency=medium

  * Fix build on ppc64el by lowering optimization level to -O2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Nov 2022 09:11:18 +0100
