=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/bzrtp.*\.tar\.gz/bzrtp-$1\.tar\.gz/g \
  https://gitlab.linphone.org/BC/public/bzrtp/tags?sort=updated_desc .*/archive/([\d\.]+)/.*\.tar\.gz.*
