=== debian/changelog ===
bzrtp (5.3.105-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build on amd64 and ppc64el by lowering optimization level to -O2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 04 Mar 2025 13:45:11 +0100

bzrtp (5.3.105-1) unstable; urgency=medium

  * New upstream version 5.3.105

 -- Victor Seva <vseva@debian.org>  Sun, 23 Feb 2025 00:26:09 +0100

bzrtp (5.3.104-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Fix build on ppc64el by lowering optimization level to -O2
  * New Changes:
    - Fix build by lowering optimization level to -O2 on all arch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 12 Feb 2025 12:37:42 +0000

bzrtp (5.3.104-1) unstable; urgency=medium

  * add myself to Uploaders. wrap-and-sort -sat
  * Set upstream metadata fields: Repository-Browse.
  * New upstream version 5.3.104
  * update stack dependencies (Closes: #1094083)
  * debian/copyright: update
  * remove empty patches/to_upstream
  * refresh debian/patches
  * update Breaks with versions in trixie and bookworm

 -- Victor Seva <vseva@debian.org>  Fri, 07 Feb 2025 10:25:57 +0100

bzrtp (5.2.98-2) experimental; urgency=medium

  * Express Breaks on libmediastreamer13 which still link with
    libbctoolbox1.

 -- Dennis Filder <d.filder@web.de>  Thu, 12 Oct 2023 18:05:45 +0200

bzrtp (5.2.98-1) experimental; urgency=medium

  * New upstream release 5.2.98.
  * Tighten build-dep on bctoolbox to 5.2.98.

 -- Dennis Filder <d.filder@web.de>  Sat, 02 Sep 2023 14:33:42 +0200
