=== debian/control ===
Source: bzrtp
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Kilian Krause <kilian@debian.org>,
 Tzafrir Cohen <tzafrir@debian.org>,
 Bernhard Schmidt <berni@debian.org>,
 Victor Seva <vseva@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libbctoolbox-dev (>= 5.3.104~),
 libsqlite3-dev,
 libxml2-dev,
Standards-Version: 4.6.2
Section: libs
Rules-Requires-Root: no
Homepage: https://www.linphone.org/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/bzrtp.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/bzrtp
Description: Library for the ZRTP key exchange protocol

Package: libbzrtp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbctoolbox-dev (>= 5.3.104~),
 libbzrtp1 (= ${binary:Version}),
 libxml2-dev,
 ${misc:Depends},
Description: Development files for the Bzrtp key exchange library
 Bzrtp is an open source implementation of the ZRTP key exchange protocol.
 The library is written in C and C++. It is fully portable and can be executed
 on many platforms including ARM and x86.
 .
 This package contains the development files.

Package: libbzrtp1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libmediastreamer12 (<< 1:5.3.104~),
 libmediastreamer13t64 (<< 1:5.3.104~),
Description: Library for the ZRTP key exchange protocol
 Bzrtp is an open source implementation of the ZRTP key exchange protocol.
 The library is written in C and C++. It is fully portable and can be executed
 on many platforms including ARM and x86.
 .
 The library enables encrypted communications in Linphone.
