=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,17 @@
   export DEB_CFLAGS_MAINT_APPEND = -O2
 endif
 
+ifeq ($(DEB_HOST_ARCH),amd64)
+  export DEB_CFLAGS_MAINT_APPEND = -O2
+endif
+
 %:
 	dh $@ --buildsystem=cmake
 
 # Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
 # setting CMAKE_SKIP_RPATH
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=no \
+	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DBUILD_SHARED_LIBS=ON \
 		-DDEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM)
 
 execute_after_dh_auto_install:
